﻿<?xml version="1.0" encoding="utf-8" ?>
<ContentPage xmlns="http://xamarin.com/schemas/2014/forms"
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             xmlns:d="http://xamarin.com/schemas/2014/forms/design"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
             mc:Ignorable="d"
             xmlns:input="clr-namespace:Plugin.InputKit.Shared.Controls;assembly=Plugin.InputKit"
             x:Class="Notigram.View.Perfil"
             BackgroundColor="#044c74"
             xmlns:models="clr-namespace:Notigram.Models"
             xmlns:cardview="clr-namespace:Notigram.View"
             xmlns:source="clr-namespace:Notigram.Constant"
             xmlns:ff="clr-namespace:FFImageLoading.Forms;assembly=FFImageLoading.Forms"
             xmlns:transformation="clr-namespace:FFImageLoading.Transformations;assembly=FFImageLoading.Transformations">
    <ContentPage.Content>
        <ScrollView>
            <Grid HorizontalOptions="FillAndExpand" VerticalOptions="StartAndExpand" Padding="15,100,15,0" Margin="0">
                <Grid.RowDefinitions>
                    <RowDefinition Height="Auto"/>
                    <RowDefinition Height="Auto"/>
                    <RowDefinition Height="Auto"/>
                    <RowDefinition Height="Auto"/>
                    <RowDefinition Height="Auto"/>
                    <RowDefinition Height="Auto"/>
                </Grid.RowDefinitions>
                <ff:CachedImage Source="{source:Images Source=Notigram.Resource.notigram.png}" 
                            Grid.Row="0" WidthRequest="200" HeightRequest="50"/>
                <StackLayout Orientation="Horizontal" Grid.Row="1" HorizontalOptions="FillAndExpand">
                    <ff:CachedImage Grid.Column="0" VerticalOptions="CenterAndExpand" 
                                    HorizontalOptions="Start" Aspect="Fill"
                                    Source="{source:Images Source=Notigram.Resource.Notigram_N.png}"
                                    HeightRequest="70" WidthRequest="70" Margin="5,10,5,10"
                                    x:Name="img_Noti"/>
                    <StackLayout Orientation="Vertical" VerticalOptions="CenterAndExpand">
                        <Label x:Name="correo" Margin="0,24,0,5" HorizontalTextAlignment="Start"
                               TextColor="White" FontFamily="sans-serif-black" FontSize="Medium"/>
                        <Label x:Name="usuario" Margin="0,24,0,5" HorizontalTextAlignment="Start"
                               TextColor="White" FontFamily="sans-serif-black" FontSize="Medium"/>
                    </StackLayout>
                </StackLayout>
                <Label Text="Cerrar sesión" Grid.Row="2" Margin="0,24,0,5" HorizontalTextAlignment="Center"
                   TextColor="White" FontFamily="sans-serif-black" FontSize="Medium" x:Name="close"/>
                <Label Text="Olvidaste la cotraseña" Grid.Row="3" Margin="0,24,0,5" HorizontalTextAlignment="Center"
                   TextColor="White" FontFamily="sans-serif-black" FontSize="Medium" x:Name="forgot"/>
                <Label Text="Volver a las noticias" Grid.Row="4" Margin="0,24,0,5" HorizontalTextAlignment="Center"
                   TextColor="White" FontFamily="sans-serif-black" FontSize="Medium" x:Name="Return"/>
                <models:ListViewRender HorizontalOptions="FillAndExpand" x:Name="lsCiudades" Grid.Row="5"
                                       BackgroundColor="#044c74">
                    <ListView.ItemTemplate>
                        <DataTemplate>
                            <cardview:PreferenciasCiudad/>
                            <!--<ViewCell>
                                <StackLayout Orientation="Horizontal" BackgroundColor="#044c74">
                                    <input:CheckBox Text="{Binding name}" Type="Check" TextColor="White" Color="Black" BoxBackgroundColor="White"
                                                    CommandParameter="{Binding .}" CheckChanged="CheckBox_CheckChanged"
                                                    Key="{Binding idInt}" BackgroundColor="Transparent"/>
                                </StackLayout>
                            </ViewCell>-->
                        </DataTemplate>
                    </ListView.ItemTemplate>
                </models:ListViewRender>
            </Grid>
        </ScrollView>
    </ContentPage.Content>
</ContentPage>